<div class="container" style="height: 100vh">
  <div class="row justify-content-center align-items-center" style="height: 100vh">
    <div class="col-6" *ngIf="!isShowScore">
      <div class="row justify-content-end">
        <div class="col-6">
          <h2 class="">เวลาที่เหลือ {{ time }}</h2>
        </div>
      </div>
      <div class="card">
        <div class="card-header">
          {{ questionList.title }}
        </div>
        <div class="card-body">
          <h5 class="card-title">
            {{ questionInfo.sequence }}. {{ questionInfo.title }}
          </h5>
          <div class="mt-3" *ngFor="
              let question of questionInfo.questionAnswerInfo;
              let i = index
            ">
            <div class="form-check">
              <input class="form-check-input" type="checkbox" value="{{ question.questionAnswerId }}"
                name="{{ questionInfo.questionId }}" (change)="onCheckboxChange($event, question)" />
              <label class="form-check-label" for="flexCheckChecked">
                {{ question.answer }}
              </label>
            </div>
          </div>
          <div class="row justify-content-around">
            <button class="btn btn-primary col-3" *ngIf="questionInfo.sequence > 1"
              (click)="back(questionInfo.sequence)">
              Back
            </button>
            <button class="btn btn-success col-3" *ngIf="questionInfo.sequence < questionList.questionInfo.length" [disabled]="!isAnswer(questionInfo.sequence)"
              (click)="next(questionInfo.sequence)">
              Next
            </button>
            <button class="btn btn-success col-3" *ngIf="questionInfo.sequence == questionList.questionInfo.length"
              (click)="submitAnswer()" [disabled]="!isAnswer(questionInfo.sequence)">
              SubmitAnswer
            </button>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="isShowScore" class="col-6">
      <div class="card">
        <div class="card-header">
          {{ questionList.title }}
        </div>
        <div class="card-body">
          <h5 class="card-title">
            ผลคะแนนเต็ม {{ allScore}}
          </h5>
          <h5 class="card-title">
            ผลคะแนนของคุณคือ {{Score}}
          </h5>
          <div class="row justify-content-around">
            <button class="btn btn-primary col-3" *ngIf="questionInfo.sequence > 1"
              (click)="backQuestion()">
              ทำคำถามอันอื่นต่อ
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>